﻿--[[



 ################################################
 #                                              #
 #              Script Criado Por               #
 #           FACEBOOK.COM/AIRNEWSCR             #
 #                                              #
 #                                              #
 ################################################



--]]

--------------------------------------------------------------------------------------------

InteriorID = 0
DimensaoID = 0
BlipSemAssaltoID = 17
BlipAssaltoEmAndamento = 20
ValorDoRoubo = 5000
TempoDoAssalto = 60000

eX, eY, eZ = 1932.3819580078,-1775.7392578125,13.3828125
sX, sY, sZ = 1930.8553466797,-1775.7673339844,13.555365562439

SairX, SairY, SairZ, SairRot = 1933.6080322266,-1775.6994628906,13.3828125, 270
EntrX, EntrY, EntrZ, EntrRot = 1929.8676757813,-1775.8043212891,13.555365562439, 90

AssaltoX, AssaltoY, AssaltoZ = 1916.4987792969,-1774.3797607422,13.555365562439

AtendID, AtendX, AtendY, AtendZ, AtendRot = 155, 1914.7231445313,-1774.4267578125,13.555365562439, 270

Rot_z_Roubo = AtendRot + 180

LetraParaMarkers = "f"
Roubo_Recente_SexyShop = false

--------------------------------------------------------------------------------------------

Entrada_SexyShop = createMarker ( eX, eY, eZ -1, "cylinder", 1.2, 20, 70, 230, 95 )
BlipEntrada_SexyShop = createBlipAttachedTo ( Entrada_SexyShop, BlipSemAssaltoID )
setBlipVisibleDistance( BlipEntrada_SexyShop, 150 )

--------------------------------------------------------------------------------------------

Saida_SexyShop = createMarker ( sX, sY, sZ -1, "cylinder", 1.2, 20, 70, 230, 95 )
setElementInterior ( Saida_SexyShop, InteriorID )
setElementDimension ( Saida_SexyShop, DimensaoID )

--------------------------------------------------------------------------------------------

local EmAssaltoBlip_SexyShop = createBlipAttachedTo ( Entrada_SexyShop, BlipAssaltoEmAndamento )
setElementVisibleTo ( EmAssaltoBlip_SexyShop, root, false )

--------------------------------------------------------------------------------------------

Dentro_Assalto_SexyShop = createMarker ( AssaltoX, AssaltoY, AssaltoZ -1, "cylinder", 1.2, 20, 70, 230, 95 )
setElementInterior ( Dentro_Assalto_SexyShop, InteriorID )
setElementDimension ( Dentro_Assalto_SexyShop, DimensaoID )

Atendente_SexyShop = createPed ( AtendID, AtendX, AtendY, AtendZ, AtendRot )
setElementInterior ( Atendente_SexyShop, InteriorID )
setElementDimension ( Atendente_SexyShop, DimensaoID )
setElementFrozen ( Atendente_SexyShop, true )

function RespawnDoAtendente ()
    if isPedDead ( Atendente_SexyShop ) then
        setTimer(function()
            destroyElement (Atendente_SexyShop)
            Atendente_SexyShop = createPed ( AtendID, AtendX, AtendY, AtendZ, AtendRot )
            setElementInterior ( Atendente_SexyShop, InteriorID )
            setElementDimension ( Atendente_SexyShop, DimensaoID )
            setElementFrozen ( Atendente_SexyShop, true )
        end,5000,1,thePlayer)
    end
end
addEventHandler( "onPedWasted", getRootElement(), RespawnDoAtendente )

--------------------------------------------------------------------------------------------

function Roubar_SexyShop ( thePlayer, matchingDimension )
    if isElementWithinMarker ( thePlayer, Dentro_Assalto_SexyShop ) then
        local wl = getPlayerWantedLevel ( thePlayer )
        local arma = getPedWeapon ( thePlayer )
    	unbindKey ( thePlayer, LetraParaMarkers, "down", Roubar_SexyShop )                                  -- Remover Bind do Assalto
        exports.Scripts_OnMarkerMsgs_:delete (thePlayer)                                                                                 -- Deletar Mensagem no Meio da Tela
    	if getElementData ( thePlayer, "Policial" ) == true then
    	    return exports.Scripts_Textos:createNewDxMessage ( 'Você é um Policial e não Pode Assaltar Lojas', thePlayer, 255, 255, 255)
    	end
    	if arma == 0 or arma == 1 or arma == 2 or arma == 3 or arma == 4 or arma == 5 or arma == 28 or arma == 6 or arma == 7 or arma == 8 or arma == 9 or arma == 16 or arma == 17 or arma == 18 or arma == 39 or arma == 41 or arma == 42 or arma == 43 or arma == 10 or arma == 11 or arma == 12 or arma == 14 or arma == 15 or arma == 44 or arma == 45 or arma == 46 or arma == 40 then
    	    return exports.Scripts_Textos:createNewDxMessage ( 'Você Precisa de uma Arma de Fogo para Assaltar Essa Loja!', thePlayer, 255, 255, 255)
    	end
    	if Roubo_Recente_SexyShop == false then
		    setElementRotation ( thePlayer, 0, 0, Rot_z_Roubo )
    	    setPedAnimation ( thePlayer, "SHOP", "SHP_Gun_Aim", -1, true, false, true )                                 -- Fazer a Animação de Assalto ( Jogador )
    	    setPedAnimation ( Atendente_SexyShop, "SHOP", "SHP_Rob_GiveCash", -1, true, false, true )                  -- Fazer a Animação de Se Render ( BOT )
	        setTimer(function()
	            setPedAnimation ( thePlayer )
	            setPedAnimation ( Atendente_SexyShop, "SHOP", "SHP_Rob_HandsUp", -1, true, false, true )                   -- Entregar o Dinheiro ( BOT )
	        end,4000,1,thePlayer)
        if wl < 6 then
	        setPlayerWantedLevel ( thePlayer, wl+1 )                                                                  	     -- Setar +1 Level de Procurado ( Jogador )
    	end
    	triggerClientEvent ( root, "AirNew>LigarAlarme2", root, thePlayer )                                             -- Disparar o Alarme
        exports.Scripts_Textos:createNewDxMessage ( 'Aguarde 60 Segundos & Você podera Sair da Loja. A Policia Foi Notificada Sobre o Assalto!', thePlayer, 255, 255, 255)
    	setElementData ( thePlayer, "AirNewSCR_Roubo_SexyShop", true )                            -- setElementData "RouboEmAndamento" ( Jogador ) True
    	Roubo_Recente_SexyShop = true                                                                                                                      -- Roubo_Recente_SexyShop = true
    	    setTimer(function()
    	        setElementData ( thePlayer, "AirNewSCR_Roubo_SexyShop", false )                                             -- setElementData "RouboEmAndamento" ( Jogador ) False
    	        setPedAnimation ( Atendente_SexyShop )                                                                     -- Remover a Animação ( BOT )
    	        givePlayerMoney ( thePlayer, ValorDoRoubo )                                                                 -- Dar Dinheiro ( Jogador )
    	    end,TempoDoAssalto,1,thePlayer)
    	for i, player in ipairs(getElementsByType("player")) do
            local uj = getElementData(player,"Policial") or false
            if type(uj) == "boolean" then
                if uj == true then
    	            NickName = string.gsub(getPlayerName(thePlayer), "#%x%x%x%x%x%x", "")
                    exports.Scripts_Textos:createNewDxMessage ( "O Jogador "..NickName.." Esta Assaltando uma Loja em Los Santos, Siga o Icone Vermelho no Mapa", player, 255, 255, 255)
    	            setElementVisibleTo ( EmAssaltoBlip_SexyShop, player, true )
    	            setTimer ( function() setElementVisibleTo ( EmAssaltoBlip_SexyShop, player, false ) end, 120000, 1, thePlayer )
    	        end
    	    end
    	end
    	else
    	    exports.Scripts_Textos:createNewDxMessage ( 'Essa Loja ja foi Roubada Recentemente!', thePlayer, 255, 255, 255)
    	    setTimer(function()
    	        Roubo_Recente_SexyShop = false
    	    end,TempoDoAssalto+60000,1,thePlayer)
        end
    end
end

function emarker(marker,md)
	if (md) then
		if marker == Dentro_Assalto_SexyShop then
			bindKey ( source, LetraParaMarkers, "down", Roubar_SexyShop )
			exports.Scripts_OnMarkerMsgs_:create(source,"Aperte 'F' Parar Efetuar o Assalto") 		
		elseif marker == Entrada_SexyShop then
		    if getElementType ( source ) == "vehicle" then return end
		    if isPedInVehicle ( source ) then return end
		    setTimer ( setElementInterior, 400, 1, source, InteriorID )
		    setTimer ( setElementDimension, 400, 1, source, DimensaoID )
		    setTimer ( setElementPosition, 400, 1, source, EntrX, EntrY, EntrZ )
		    setTimer ( setElementRotation, 600, 1, source, 0, 0, EntrRot )
		    fadeCamera ( source, false, 0.1, 0, 0, 0 )   
		    setTimer ( fadeCamera, 600, 1, source , true, 0.5 )
		    setTimer ( setCameraTarget, 600, 1, source )
            setElementData (source, "Entrada_AssaltoLoja", "SexyShop" )
		elseif marker == Saida_SexyShop then
            if getElementType ( source ) == "vehicle" then return end
            if isPedInVehicle ( source ) then return end
            if not getElementData (source, "AirNewSCR_Roubo_SexyShop" ) == true then
                setTimer ( setElementInterior, 400, 1, source, 0 )
                setTimer ( setElementDimension, 400, 1, source, 0 )
				if getElementData ( source, "Entrada_AssaltoLoja" ) == "SexyShop" then
                    setTimer ( setElementPosition, 400, 1, source, SairX, SairY, SairZ )
                    setTimer ( setElementRotation, 400, 1, source, 0, 0, SairRot )
				end
				fadeCamera ( source, false, 0.1, 0, 0, 0 )   
				setTimer ( fadeCamera, 600, 1, source , true, 0.5 )
				setTimer ( setCameraTarget, 600, 1, source )
            else
                exports.Scripts_Textos:createNewDxMessage ( 'Aguarde o Assalto Terminar para Sair da Loja', source, 255, 255, 255)
            end
		end
    end	
end
addEventHandler ( "onPlayerMarkerHit", getRootElement(), emarker )

function lmarker(marker,md)
	if (md) then
		if marker == Dentro_Assalto_SexyShop then
			unbindKey ( source, LetraParaMarkers, "down", Roubar_SexyShop )
			exports.Scripts_OnMarkerMsgs_:delete(source)
		end
    end
end
addEventHandler("onPlayerMarkerLeave",getRootElement(),lmarker)

--------------------------------------------------------------------------------------------

function SaveSexyShopEntrada(conta)
	if conta then
		local source = getAccountPlayer(conta)
		local emp = getElementData(source,"Entrada_AssaltoLoja" ) or false
		setAccountData (conta, "Entrada_AssaltoLoja",emp)
	end	
end

function LoadSexyShopEntrada(conta)
	if not (isGuestAccount (conta)) then
		if (conta) then	
			local source = getAccountPlayer(conta)	
			local emp = getAccountData(conta,"Entrada_AssaltoLoja") or false
			setElementData (source, "Entrada_AssaltoLoja", emp)
		end
	end	
end

--------------------------------------------------------------------------------------------

addEventHandler("onPlayerLogin", root,
  function( _, acc )
	setTimer(LoadSexyShopEntrada,50,1,acc)
  end
)

function IniciarScriptTeleSexyShop ( res )
	if res == getThisResource() then
		for i, player in ipairs(getElementsByType("player")) do
			local acc = getPlayerAccount(player)
			if not isGuestAccount(acc) then
				LoadSexyShopEntrada(acc)
			end
		end
	end
end
addEventHandler ( "onResourceStart", getRootElement(), IniciarScriptTeleSexyShop )

function DesligarScriptTeleSexyShop ( res )
    if res == getThisResource() then
		for i, player in ipairs(getElementsByType("player")) do
			local acc = getPlayerAccount(player)
			if not isGuestAccount(acc) then
				SaveSexyShopEntrada(acc)
			end
		end
	end
end 
addEventHandler ( "onResourceStop", getRootElement(), DesligarScriptTeleSexyShop )

function SairScriptTeleSexyShop ( quitType )
	local acc = getPlayerAccount(source)
	if not (isGuestAccount (acc)) then
		if acc then
			SaveSexyShopEntrada(acc)
		end
	end
end
addEventHandler ( "onPlayerQuit", getRootElement(), SairScriptTeleSexyShop )

--------------------------------------------------------------------------------------------